Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.rmi.server
Class LogStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--java.io.PrintStream
                        |
                        +--weblogic.rmi.server.LogStream

public class LogStream
extends java.io.PrintStream

This class is provided strictly for compatibility with java.rmi.*

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class java.io.FilterOutputStream
`out`

Method Summary
`static java.io.PrintStream` | `getDefaultStream()`
`java.io.OutputStream` | `getOutputStream()`
`static LogStream` | `log(java.lang.String name)`
`static int` | `parseLevel(java.lang.String string)`
`static void` | `setDefaultStream(java.io.PrintStream printStream)`
`void` | `setOutputStream(java.io.OutputStream outputStream)`
`void` | `write(byte[] ab, int i, int j)`
`void` | `write(int i)`

Methods inherited from class java.io.PrintStream
`checkError, close, flush, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, setError`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### log

    public static LogStream log(java.lang.String name)

### getDefaultStream

    public static java.io.PrintStream getDefaultStream()

### setDefaultStream

    public static void setDefaultStream(java.io.PrintStream printStream)

### getOutputStream

    public java.io.OutputStream getOutputStream()

### setOutputStream

    public void setOutputStream(java.io.OutputStream outputStream)

### write

    public void write(int i)

  Overrides:
    write in class java.io.PrintStream

### write

    public void write(byte[] ab,
                      int i,
                      int j)

  Overrides:
    write in class java.io.PrintStream

### parseLevel

    public static int parseLevel(java.lang.String string)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD